import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:photoloader/photo.dart';
import 'package:photoloader/photoloader.dart';

void main() {
  const MethodChannel channel = MethodChannel('photoloader');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return ["1", "2"];
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('loadPhotos', () async {
    List<Photo> photos = await PhotoLoader.photos;
    expect(photos.length, 2);
  });
}
